ScanPay
Submit
This API creates a Scan-to-Pay order, deducts the merchant’s USDT balance, and transfers the funds to the payee account encoded in the QR code.
POST /v1/scanPay/submit
Request Body
request_id*
String
The external ID of the transaction provided by the partner
user_xid*
String (max.20)
The ID for the partner to associate the owner of funds(customer) with transactions
qrcode*
String
The payment QR code. Currently supports Thailand PromptPay.
amount*
String
The payout amount. If the QR code contains a fixed amount, this value must match the amount encoded in the QR code.
notify_url*
String
Web-hook url
{
"code": 200,
"message": "success",
"data": {
"orderNo": "20012332r42723478324",
"status": 22
}
}QR Code Information
Retrieves the details encoded in a specific QR code
POST /v1/scanPay/info
Request Body
qrcode*
String
The payment QR code. Currently supports Thailand PromptPay.
amount
String
The payout amount. This value can be null. However, If the QR code contains a fixed amount, this value must match the amount encoded in the QR code.
Query transaction
Retrieves the details of a specific transaction
POST /v1/order/query
Request Body
request_id*
String
The external ID of the transaction provided by the partner
order_no
String
The ID of the transaction to return
Last updated